<?php
/**
* @version $Id: default.php $
* @version		2.6.6 08/05/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

if (version_compare(JVERSION, '3.4.0', 'ge'))
	JHtml::_('bootstrap.tooltip');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root(true).'/components/com_myjspace/assets/myjspace.min.css');
?>
<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
<div class="myjspace myjsp-w-100">
	<form action="<?php echo JRoute::_('index.php'); ?>" method="post" name="adminForm" id="adminForm">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_MYJSPACE_FOLDERNAME');?></legend>
<?php if ($this->link_folder == 1 || $this->link_folder_print == 1) { ?>
			<br />
			<table class="admintable">
				<tr>
					<td class="key">
						<label><?php echo  JText::_('COM_MYJSPACE_FOLDERNAME'); ?> <i class="icon-folder"></i></label>
					</td>
					<td>
						<input type="text" name="mjs_foldername" value="<?php echo $this->link; ?>" /><?php echo JText::_('COM_MYJSPACE_FOLDERNAMEINFO');?>
					</td>
				</tr>
<?php
	if ($this->link_folder == 1) { ?>
				<tr>
					<td class="key">
						<label><?php echo JText::_('COM_MYJSPACE_FOLDERNAME_KEEP'); ?></label>
					</td>
					<td>
						<input type="checkbox" name="keep" value="1" />
					</td>
				</tr>
			<?php } ?>
			</table>
<?php } else {
		echo JText::_('COM_MYJSPACE_FOLDERNAME_NOTACTIVATED');
	}
?>
			<input name="option" type="hidden" value="com_myjspace" />
			<input name="task" type="hidden" value="adm_ren_rootfolder" />
			<?php echo JHTML::_('form.token'); ?>
		</fieldset>

	</form>
</div>
</div>
