<?php
/**
* @version $Id: default.php $
* @version		2.6.0 28/04/2016
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015-2016 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

if (version_compare(JVERSION, '3.4.0', 'ge'))
	JHtml::_('bootstrap.tooltip');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root(true).'/components/com_myjspace/assets/myjspace.min.css');
?>

<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
<div class="myjspace">
	<fieldset class="adminform">
		<legend><?php echo JText::_('COM_MYJSPACE_TITLE');?></legend>
		<div><img src="<?php echo JURI::root(); ?>administrator/components/com_myjspace/images/myjspace.png" alt="BS MyJSpace"/></div>
		<div><?php echo $this->version; ?></div>
	</fieldset>
	
<?php if ($this->newversion) { ?>
	<fieldset class="adminform">
		<legend><?php echo JText::_('COM_MYJSPACE_NEWVERSION');?></legend>
		<?php echo '<span style="color:orange">'.JText::_('COM_MYJSPACE_NEWVERSION').' </span>'.$this->newversion; ?>
	</fieldset>
<?php } ?>

	<fieldset class="adminform">
		<legend><?php echo JText::_('COM_MYJSPACE_STATISTICS');?></legend>
		
		<table class="admintable">
			<tr>
				<td class="key">
					<label><?php echo  JText::_('COM_MYJSPACE_NBPAGESTOTAL'); ?></label>
				</td>
				<td>
					<div class="btn-group"><span class="badge"><?php echo ' '.$this->nb_pages_total; ?></span></div>
				</td>
			</tr>
			<tr>
				<td class="key">
					<label><?php echo  JText::_('COM_MYJSPACE_NBDISTINCTUSERS'); ?></label>
				</td>
				<td>
					<div class="btn-group"><span class="badge"><?php echo $this->nb_distinct_users; ?></span></div>
				</td>
			</tr>
		</table>
	</fieldset>

</div>
</div>
