<?php
/**
* @version $Id: install.php $
* @version		2.6.0 29/04/2016
* @package		plg_quickiconmyjspace
* @author       Bernard Saulm
* @copyright	Copyright (C) 2012-2013-2014-2015-2016 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// no direct access
defined('_JEXEC') or die;

/*
 * Enable, the plugin after install J1.6+
 */

class plgQuickiconmyjspaceInstallerScript
{
	function postflight($type, $parent)
	{
		$group = 'quickicon';
		$element = 'myjspace';

		if ($type == 'install') { // Enable plugin
			$this->enablePlugin($group, $element);
		}
	}

 	function enablePlugin($group, $element)
	{
		$plugin = JTable::getInstance('extension');
		if (!$plugin->load(array('type'=>'plugin', 'folder'=>$group, 'element'=>$element))) {
			return false;
		}
		$plugin->enabled = 1;
		return $plugin->store();
	}
}

?>
