<?php
/**
* @version $Id: view.html.php $
* @version		2.6.0 19/05/2016
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015-2016 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'search_fct.php';

class MyjspaceViewSearch extends JViewLegacy
{
	function display($tpl = null)
	{
		// Config
		$app = JFactory::getApplication();
		$document = JFactory::getDocument();

		// Component
		$pparams = JComponentHelper::getParams('com_myjspace');

		// Prepare display (retreive data)
		BSHelperViewSearch::pre_display($this, array(1, 2, 64));

		// Web page title
		BSHelperViewSearch::title($this);

		// Breadcrumbs
		$pathway = $app->getPathway();
		$pathway->addItem(JText::_('COM_MYJSPACE_TITLESEARCH'), '');
		if (JRequest::getVar('layout', '') == 'sitemap') {
			parent::display('sitemap');
			exit;
		}

		parent::display($tpl);
	}

	// Transform the page data to data to be displayed (options dependant)
	protected function transform_fields($inst, $i = 0, $separ = 0)
	{
		return BSHelperViewSearch::transform_fields($inst, $i, $separ);
	}
}
?>
